Subject: Re: How is IPv6 dhcp supposed to work?

From: Ben Greear <[email-masked]>
Date: Wed, 18 Jun 2014 07:17:48 -0700

On 06/18/2014 03:37 AM, Bjørn Mork wrote:
> Ben Greear <[email-masked]> writes:
> 
>> Does that router advert below look proper? 
> 
> No, it doesn't.  How did you create this?

With a radvd config with this section in it:

interface rddVR2
{
   AdvSendAdvert on;
   IgnoreIfMissing on;
   MinRtrAdvInterval 30;
   MaxRtrAdvInterval 100;
   prefix 2001:78::1/64
   {
      AdvOnLink on;
      AdvAutonomous on;
      AdvRouterAddr on;
   };
   route ::/0 {
   };
};

I'll try changing it to zero out the low 64-bits....

> Quoting RFC 4861 (http://tools.ietf.org/html/rfc4861#section-4.6.2 ):
> 
>       Prefix         An IP address or a prefix of an IP address.  The
>                      Prefix Length field contains the number of valid
>                      leading bits in the prefix.  The bits in the prefix
>                      after the prefix length are reserved and MUST be
>                      initialized to zero by the sender and ignored by
>                      the receiver. 
> 
> 
> So that prefix should have been '2001:78::'
> 
> Note that you don't necessarily need to include a prefix option in the
> RA.  If you don't want clients on the link connected to the router to
> communicate directly on L2.  This is the typical ISP use case.

I just want the 'rddVR2' interface to effectively give out it's own
IPv6 addr as the default IPv6 gateway for anything connected to rddVR2,
and I want the 'rddVR3' interface (this is a veth pair, by the way)
to use that IPv6 addr as it's gateway.

To answer another question in this thread:  Yes, accept_ra is 1, and
I checked the other pertinent procfs values and they are correct for
my desired behaviour as far as I can tell.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com